Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class GlobalBuildAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.GlobalBuildAction

All Implemented Interfaces:
  ActionFactory.IWorkbenchAction, IAction

public class GlobalBuildAction
extends Action
implements ActionFactory.IWorkbenchAction

Standard action for full and incremental builds of all projects within the workspace.

This class may be instantiated; it is not intended to be subclassed.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`GlobalBuildAction(IWorkbench workbench, Shell shell, int type)` Deprecated. use GlobalBuildAction(IWorkbenchWindow, type) instead
`GlobalBuildAction(IWorkbenchWindow window, int type)` Creates a new action of the appropriate type.

Method Summary
`void` | `dispose()` Disposes of this action.
`void` | `doBuild()` Builds all projects within the workspace.
`void` | `run()` Runs this action.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### GlobalBuildAction

    public GlobalBuildAction(IWorkbench workbench,
                             Shell shell,
                             int type)

  Deprecated. use GlobalBuildAction(IWorkbenchWindow, type) instead

  Creates a new action of the appropriate type. The action id is `IWorkbenchActionConstants.BUILD` for incremental builds and `IWorkbenchActionConstants.REBUILD_ALL` for full builds.

Parameters:
  `workbench` - the active workbench
  `shell` - the shell for any dialogs
  `type` - the type of build; one of `IncrementalProjectBuilder.INCREMENTAL_BUILD` or `IncrementalProjectBuilder.FULL_BUILD`

### GlobalBuildAction

    public GlobalBuildAction(IWorkbenchWindow window,
                             int type)

  Creates a new action of the appropriate type. The action id is `IWorkbenchActionConstants.BUILD` for incremental builds and `IWorkbenchActionConstants.REBUILD_ALL` for full builds.

Parameters:
  `window` - the window in which this action appears
  `type` - the type of build; one of `IncrementalProjectBuilder.INCREMENTAL_BUILD` or `IncrementalProjectBuilder.FULL_BUILD`

Method Detail

### doBuild

    public void doBuild()

  Builds all projects within the workspace. Does not save any open editors.

### run

    public void run()

  Description copied from interface: `IAction`
  Runs this action. Each action implementation must define the steps needed to carry out this action. The default implementation of this method in `Action` does nothing.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### dispose

    public void dispose()

  Description copied from interface: `ActionFactory.IWorkbenchAction`
  Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

  Specified by:
    `dispose` in interface `ActionFactory.IWorkbenchAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.